
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>浅谈Linux下通过find命令进行rm文件删除的小技巧_Linux / iVAN</title>

    <meta name="description" content="浅谈Linux下通过find命令进行rm文件删除的小技巧_Linux 我们经常会通过find命令进行批量操作,如:批量删除旧文件.批量修改.基于时间的文件统计.基于文件大小的文件统计等,在这些操作当中,由于rm删除操作会导致目录结构变化,如果要通过find结合rm的操作写成脚本,就会遇到一些麻烦,本文通过一个例子为大家进行介绍. 系统环境: SUSE Linux Enterprise Server 11 或 Red Hat Enterprise Linux 问题症状: 客户现场有一个自动化的脚本,有以下的find语句,每天运行以删除某个目录下7天以前的文件或目录,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">浅谈Linux下通过find命令进行rm文件删除的小技巧_Linux</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>我们经常会通过find命令进行批量操作，如：批量删除旧文件、批量修改、基于时间的文件统计、基于文件大小的文件统计等，在这些操作当中，由于rm删除操作会导致目录结构变化，如果要通过find结合rm的操作写成脚本，就会遇到一些麻烦，本文通过一个例子为大家进行介绍。</p>
<p><strong>系统环境：</strong></p>
<p>SUSE Linux Enterprise Server 11 或</p>
<p>Red Hat Enterprise Linux</p>
<p><strong>问题症状：</strong></p>
<p>客户现场有一个自动化的脚本，有以下的find语句，每天运行以删除某个目录下7天以前的文件或目录，这些目录都是按时间顺序生成PostgreSQL数据库的WAL日志及其错误日志pg_log：</p>
<p>/bin/find /enterprisedb_backup/postgresql/ -mtime +7 -exec /bin/rm -rf '{}' \;</p>
<p>运行过程中，间歇性地出现以下错误：</p>
<pre>
[root@edb ~]# /bin/find /enterprisedb_backup/postgresql/ -mtime +7 -exec /bin/rm -rf {} \;
/bin/find: `/enterprisedb_backup/postgresql/network-scripts': No such file or directory
[root@edb ~]# echo $?
1
</pre>
<p>显然，以上命令返回了错误的结果，但客户反映说，以上脚本运行后目录下7天前的数据的确备删除了。</p>
<p><strong>问题分析：</strong></p>
<p>进行故障重现，在另一台服务器中通过模拟数据单独运行find命令分析此问题，测试过程如下：</p>
<p><strong>1.模拟数据<br /></strong></p>
<pre>
[root@edbnode1 ~]# date
Wed Jun 18 23:08:18 CST 2014

[root@edbnode1 ~]# cp -rcp /etc/sysconfig/network-scripts/ /enterprisedb_backup/postgresql/
[root@edbnode1 ~]# cp -rcp /etc/init.d/iptables /enterprisedb_backup/postgresql/## 以上通过 cp -rcp 命令使得拷贝到目标目录的数据保持包括：建立时间、用户权根等信息，以模拟出一个旧文件及一个旧目录

[root@edbnode1 ~]# ll /enterprisedb_backup/postgresql/
total 16
-rwxr-xr-x. 1 root root 9409 Oct 31 2012 iptables
drwxr-xr-x. 2 root root 4096 Jun 18 2013 network-scripts## 以上可以看到iptables文件是2012年建立的，network-scripts是2013年建立的，都远远超过了7天

[root@edbnode1 ~]# ll /enterprisedb_backup/postgresql/*
-rwxr-xr-x. 1 root root 9409 Oct 31 2012 /enterprisedb_backup/postgresql/iptables

/enterprisedb_backup/postgresql/network-scripts:
total 212
-rw-r--r--. 1 root root  159 Jun 18 2013 ifcfg-eth0
-rw-r--r--. 1 root root  203 Jun 18 2013 ifcfg-eth1
-rw-r--r--. 1 root root  203 Jun 18 2013 ifcfg-eth2
-rw-r--r--. 1 root root  254 Jan 9 2013 ifcfg-lo
lrwxrwxrwx. 1 root root  20 Jun 18 2013 ifdown -&gt; ../../../sbin/ifdown
-rwxr-xr-x. 1 root root  627 Jan 9 2013 ifdown-bnep
-rwxr-xr-x. 1 root root 5397 Jan 9 2013 ifdown-eth
-rwxr-xr-x. 1 root root  781 Jan 9 2013 ifdown-ippp
-rwxr-xr-x. 1 root root 4168 Jan 9 2013 ifdown-ipv6
lrwxrwxrwx. 1 root root  11 Jun 18 2013 ifdown-isdn -&gt; ifdown-ippp
-rwxr-xr-x. 1 root root 1481 Jan 9 2013 ifdown-post
-rwxr-xr-x. 1 root root 1064 Jan 9 2013 ifdown-ppp
-rwxr-xr-x. 1 root root  835 Jan 9 2013 ifdown-routes
-rwxr-xr-x. 1 root root 1370 Jan 9 2013 ifdown-sit
-rwxr-xr-x. 1 root root 1434 Jan 9 2013 ifdown-tunnel
lrwxrwxrwx. 1 root root  18 Jun 18 2013 ifup -&gt; ../../../sbin/ifup
-rwxr-xr-x. 1 root root 12365 Jan 9 2013 ifup-aliases
-rwxr-xr-x. 1 root root  859 Jan 9 2013 ifup-bnep
-rwxr-xr-x. 1 root root 10157 Jan 9 2013 ifup-eth
-rwxr-xr-x. 1 root root 11971 Jan 9 2013 ifup-ippp
-rwxr-xr-x. 1 root root 10401 Jan 9 2013 ifup-ipv6
lrwxrwxrwx. 1 root root   9 Jun 18 2013 ifup-isdn -&gt; ifup-ippp
-rwxr-xr-x. 1 root root  727 Jan 9 2013 ifup-plip
-rwxr-xr-x. 1 root root  954 Jan 9 2013 ifup-plusb
-rwxr-xr-x. 1 root root 2364 Jan 9 2013 ifup-post
-rwxr-xr-x. 1 root root 4154 Jan 9 2013 ifup-ppp
-rwxr-xr-x. 1 root root 1925 Jan 9 2013 ifup-routes
-rwxr-xr-x. 1 root root 3499 Jan 9 2013 ifup-sit
-rwxr-xr-x. 1 root root 2488 Jan 9 2013 ifup-tunnel
-rwxr-xr-x. 1 root root 3770 Jan 9 2013 ifup-wireless
-rwxr-xr-x. 1 root root 4623 Jan 9 2013 init.ipv6-global
-rwxr-xr-x. 1 root root 1125 Jan 9 2013 net.hotplug
-rw-r--r--. 1 root root 13079 Jan 9 2013 network-functions
-rw-r--r--. 1 root root 29853 Jan 9 2013 network-functions-ipv6
## 以上可以看到network-script不是一个空的目录，当中还有文件，而且文件也都已经是7天前建立的了 </pre>
<p><strong>2.测试单独模拟执行脚本中的find + rm指令</strong></p>
<pre>
[root@edbnode1 ~]# /bin/find /enterprisedb_backup/postgresql/ -mtime +7 -exec /bin/rm -rf {} \;
/bin/find: `/enterprisedb_backup/postgresql/network-scripts': No such file or directory
[root@edbnode1 ~]# echo $?
1
[root@edbnode1 ~]# ls /enterprisedb_backup/postgresql/
[root@edbnode1 ~]#
</pre>
<p>可以看到find操作的确返回了错误的结果，但查看数据备份目录发现，iptables文件及network-scripts目录已经正确删除</p>
<p>3.由于数据已经正确删除，因此我们开始怀疑是由network-scripts目录删除后，find继续尝试删除此目录下其它文件，导致出不“No such file or directory”的错误，因此需要于进一步证实此猜想，重新执行以上“第1步”中的数据环境模拟，并执行以下操作，主要是将rm转换成ls以展现整体运行过程：</p>
<pre>
[root@edbnode1 ~]# cp -rcp /etc/sysconfig/network-scripts/ /enterprisedb_backup/postgresql/
[root@edbnode1 ~]# cp -rcp /etc/init.d/iptables /enterprisedb_backup/postgresql/
[root@edbnode1 ~]# /bin/find /enterprisedb_backup/postgresql/ -mtime +7 -exec /bin/ls {} \;
ifcfg-eth0 ifcfg-lo	 ifdown-eth  ifdown-isdn ifdown-routes ifup		ifup-eth  ifup-isdn  ifup-post  ifup-sit	  init.ipv6-global  network-functions-ipv6
ifcfg-eth1 ifdown	 ifdown-ippp ifdown-post ifdown-sit	 ifup-aliases	ifup-ippp ifup-plip  ifup-ppp   ifup-tunnel  net.hotplug
ifcfg-eth2 ifdown-bnep ifdown-ipv6 ifdown-ppp  ifdown-tunnel ifup-bnep	ifup-ipv6 ifup-plusb ifup-routes ifup-wireless network-functions
/enterprisedb_backup/postgresql/network-scripts/ifup-plusb
/enterprisedb_backup/postgresql/network-scripts/ifup-sit
/enterprisedb_backup/postgresql/network-scripts/ifdown-post
/enterprisedb_backup/postgresql/network-scripts/ifcfg-lo
/enterprisedb_backup/postgresql/network-scripts/network-functions
/enterprisedb_backup/postgresql/network-scripts/ifup-bnep
/enterprisedb_backup/postgresql/network-scripts/ifup-ippp
/enterprisedb_backup/postgresql/network-scripts/ifdown-sit
/enterprisedb_backup/postgresql/network-scripts/ifdown-tunnel
/enterprisedb_backup/postgresql/network-scripts/ifup-plip
/enterprisedb_backup/postgresql/network-scripts/ifup-eth
/enterprisedb_backup/postgresql/network-scripts/ifdown-ipv6
/enterprisedb_backup/postgresql/network-scripts/ifdown-ippp
/enterprisedb_backup/postgresql/network-scripts/ifup-aliases
/enterprisedb_backup/postgresql/network-scripts/network-functions-ipv6
/enterprisedb_backup/postgresql/network-scripts/ifup-ipv6
/enterprisedb_backup/postgresql/network-scripts/ifup-post
/enterprisedb_backup/postgresql/network-scripts/ifcfg-eth2
/enterprisedb_backup/postgresql/network-scripts/ifcfg-eth1
/enterprisedb_backup/postgresql/network-scripts/ifdown-ppp
/enterprisedb_backup/postgresql/network-scripts/ifup-isdn
/enterprisedb_backup/postgresql/network-scripts/ifcfg-eth0
/enterprisedb_backup/postgresql/network-scripts/ifdown
/enterprisedb_backup/postgresql/network-scripts/ifup-wireless
/enterprisedb_backup/postgresql/network-scripts/ifup-ppp
/enterprisedb_backup/postgresql/network-scripts/ifdown-eth
/enterprisedb_backup/postgresql/network-scripts/init.ipv6-global
/enterprisedb_backup/postgresql/network-scripts/ifdown-isdn
/enterprisedb_backup/postgresql/network-scripts/ifup-tunnel
/enterprisedb_backup/postgresql/network-scripts/ifdown-routes
/enterprisedb_backup/postgresql/network-scripts/ifdown-bnep
/enterprisedb_backup/postgresql/network-scripts/net.hotplug
/enterprisedb_backup/postgresql/network-scripts/ifup
/enterprisedb_backup/postgresql/network-scripts/ifup-routes
/enterprisedb_backup/postgresql/iptables</pre>
<p>通过以上操作我们可以看到，find命令不单查询了/enterprisedb_backup/postgresql/目录，并且遍历了所有子目录，因此支持了我们的推断</p>
<p><strong>4.综上所述基本定位问题所在</strong></p>
<p><strong>解决方案：</strong></p>
<p>1.整理思路后，可以确认，如果find只找出所需操作目录的第1层文件及目录即可解决此问题</p>
<p>2.通过伟大的 man 命令我们得到以下信息</p>
<pre>
-maxdepth levels
  Descend at most levels (a non-negative integer) levels of directories below the command line arguments. -maxdepth 0 means only apply the tests and actions to the command line arguments. 
</pre>
<p>3.测试操作确认修改为：</p>
<pre>
[root@edbnode1 ~]# /bin/find /enterprisedb_backup/postgresql/ -mtime +7 -maxdepth 1 -exec /bin/rm -rf {} \;
/bin/find: warning: you have specified the -maxdepth option after a non-option argument -mtime, but options are not positional (-maxdepth affects tests specified before it as well as those specified after it). Please specify options before other arguments.
</pre>
<p>这里意思是说：-mtime找到的信息可能会操过-maxdepth的范围，在find操作中建议-maxdepth放在所有其他参数的前面</p>
<p>解决结果【完成】</p>
<p>以上这篇浅谈Linux下通过find命令进行rm文件删除的小技巧就是小编分享给大家的全部内容了，希望能给大家一个参考，也希望大家多多支持。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索linux<br />
                    ，                find<br />
                                    rm<br />
                                    find exec rm rf、find xargs rm、find rm、find exec rm、linux find rm，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 17:18:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>, <a href="https://www.iamivan.net/tag/find/" title="find">find</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>浅谈Linux下通过find命令进行rm文件删除的小技巧_Linux的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnnaYkp.html" rel="bookmark">浅谈Linux下tar&comma;jar压缩&comma;解压的常用命令&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如下所示: tar cvf /data/d2/apps.tar apps cd /data01/applsrm/SRM tar xvf apps.tar jar cvf /data01/xxx.jar * cd wq jar xvf xxxx.jar 以上这篇浅谈Linux下tar,jar压缩,解压的常用命令就是小编分享给大家的全部内容了,希望能给大家一个参考,也希望大家多多支持. 以上是小编为您精心准备的的内容,在的博客.问答.公众号.人物.课程等栏目也有的相关内容,欢迎继续使用右上角搜索按钮			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQw2AKp.html" rel="bookmark">浅谈linux下的一些常用函数的总结&lpar;必看篇&rpar;&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.exit()函数 exit(int n)  其实就是直接退出程序, 因为默认的标准程序入口为int main(int argc, char** argv),返回值是int型的. 一般在shell下面,运行一个程序,然后使用命令echo $?就能得到该程序的返回值,也就是退出值,在main()里面,你可以用return n,也能够直接用exit(n)来做.unix默认的习惯正确退出是返回0,错误返回非0. 重点:单独的进程是返回给操作系统的.如果是多进程,是返回给父进程的. 在父进程里面调用w			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6063gz.html" rel="bookmark">关于linux下的cp命令 如何把文件拷贝到任意文件夹下</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于linux下的cp命令 如何把文件拷贝到任意文件夹下 比如将etc下的hosts文件拷贝:cp /etc/hosts ~ 该文件就会被拷贝至用户文件夹下 可是如果想在etc下再拷贝一份 应该怎么操作 这样的命令:cp /etc/hosts ~/etc/host.new 会被显示无效 是不是只能把文件拷贝到/Users/下的用户文件夹里 解决方案 应该是不可以的,man cp可以看到: Copy SOURCE to DEST, or multiple SOURCE(s) to DIR			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7vPrz.html" rel="bookmark">浅谈Linux下的syslog守护进程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				syslog是Linux下默认的日志守护进程.任何希望生成日志信息的程序都可以通过syslog 接口实现该目的. 同时,几乎所有的网络设备都可以通过syslog协议,将日志信息以UDP的形式传送给远端服务器,远端接收日志服务器必须通过syslogd监听UDP端口514,并根据 syslog.conf 配置文件张的配置处理.配置文件 /etc/rsyslog.conf 中规定了syslogd如何根据设备和信息的重要级别来报告信息. 这里只需要有个大致了解即可,下面都会提到这些东西. 关于配置文件:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQjwWGM.html" rel="bookmark">Linux下使用SSH命令行传输文件到远程服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以前一直在windows下用SSH Secure Shell连接远程服务器,它自带了一个可视化的文件传输工具,跟ftp差不多 但是它也存在一个缺陷,不支持编码的选择,遇到utf8就自动乱码了,另外mac下也没有这个工具 在mac下我用终端登录上去之后,想传个文件上去就犯愁了,难不成要开个ftp? 搜了一下,果然有直接的命令行工具,名字叫SCP 使用方式如下: 1.上传本地文件到服务器 scp /path/filename username@servername:/path/  例如scp /va			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQoKmz.html" rel="bookmark">【我的技术我做主】浅谈linux中umask值及其对应的文件权限</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 最近刚好系统学习到linux文件权限这一块,在&quot;umask值及其对应的文件权限&quot;这一个问题上,找过视频看(老男孩老师的视频,强烈推荐),也看过鸟哥的书,当然也在网上找了找,发现计算方法都是多种多样的,但是个人觉得掌握一种就好了,看了各种方法,觉得其实大多数都是在找规律,不是找规律的又实在是太复杂,因此个人感觉不太好记,时间一长可能就忘记了,于是就根据自己的理解,做各种测试,发现有了如下更好的方法.(从理解和记忆的层次上更好的方法)  1.问题引出:设置umask为004与005时,创			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Xpmk8lb.html" rel="bookmark">悦怀SEO：浅谈巧用锚文本做高质量外链的小技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网站优化分两方面,一方面是站内优化,另一方面就是站外优化,其中外链在优化网站排名中起着至关重要的作用.每个人都会做外链,但是做高质量收录的外链就并非是件易事.这也是大部分SEO初学者经常会问的问题,怎样才能做出高质量的外链呢?现在悦怀营销(www.yuehuai.com )就跟大家一起聊聊用锚文本链接获得高质量外链的一些小技巧: 第一:设置好锚文本链接格式,锚文本字体最好成宋体,黑色加粗,不要选择那些华丽花哨的字体,也不要给字体加一些乱七八糟的颜色.蜘蛛比较喜欢简单的东西,看着都很入眼.加粗是为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqRdjGp.html" rel="bookmark">浅谈Linux配置定时&comma;使用crontab -e与直接编辑&sol;etc&sol;crontab的区别&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux配置定时任务,大家都知道使用crontab这个系统功能,但有时候我们需要区分用户执行,下面就直接说一下2种方法的区别: 方法1: 使用命令 crontab -e 然后直接编辑定时脚本. 这样执行以后,属于用户自定义的,会被写到 /var/spool/cron 目录下,生成一个和用户名一致的文件,文件内容就是我们编辑的定时脚本. 如: [root@localhost cron.d]# cd /var/spool/cron [root@localhost cron]# ll 总用量 4 -			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mrdmmjz.html" rel="bookmark">浅谈linux几种定时函数的使用&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在程序开发过程中,我们时不时要用到一些定时器,通常如果时间精度要求不高,可以使用sleep,uslepp函数让进程睡眠一段时间来实现定时, 前者单位为秒(s),后者为微妙(us):但有时候我们又不想让进程睡眠阻塞在哪儿,我们需要进程正常执行,当到达规定的时间时再去执行相应的操作, 在linux下面我们一般使用alarm函数跟setitimer函数来实现定时功能: 下面对这两个函数进行详细分析: (1)alarm函数 alarm也称为闹钟函数,它可以在进程中设置一个定时器,当定时器指定的时间到时,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQRArM.html" rel="bookmark" class="title">用户体验设计&colon;设计的沟通与协作</a>
					<div>
						文章描述:设计的沟通与协作. 设计的沟通与协作,这个话题一抛出来,就让我很头大. 需求方.产品经理.UIUE.程序.测试之间的烂事儿一大堆.涉及到第三方甚至是几个公司之间而非一个公司内部,那沟通的困难 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjx00p.html" rel="bookmark" class="title">创业者感慨：付出是应该的，回报不是必须的！</a>
					<div>
						付出就会有回报吗?付出就应该有回报吗?我曾经这么以为,甚至还抱过老天爷的委屈.随着公司的一点点成长,这样的心态反而淡然了:付出是你应该的,回报不是必须的:如果你的付出没有得到回报,说明付出的还不够.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRVLDz.html" rel="bookmark" class="title">UVa 539：The Settlers of Catan&comma; 简单回溯</a>
					<div>
						题目链接: http://uva.onlinejudge.org/index.php?option=com_onlinejudge&amp;Itemid=8&amp;category=108&amp; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPXxZz.html" rel="bookmark" class="title">Win8系统闹钟功能怎么开启</a>
					<div>
						  Win8系统闹钟使用方法: 1.我们点击桌面的windows图标,进入系统的开始界面.接下来,我们点击最下方的选项,进入所有应用. 2.在所有应用的界面中,我们找到开始中的闹钟程序并单击,如果觉得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balJ9gz.html" rel="bookmark" class="title">解决IP地址冲突干扰局域网</a>
					<div>
						在管理.维护局域网的过程中,网络管理员往往都会担负起普通工作站IP地址的分配任务,普通工作站只有通过正确地注册后才能被局域网认为是合法工作站.在局域网工作环境中,任何一台普通工作站使用没有经过特别授权 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlGoRb.html" rel="bookmark" class="title">WPS2016标尺如何任意移动</a>
					<div>
						1.打开需要编辑的WPS文档,选中英文内容我们会发现2段英文的整齐度有些微的差别 2.将鼠标点击移动标尺,发现标尺只能按估计的尺寸移动,这个对英文来说起不到调整的作用 3.按住Alt键再点击移动标尺, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Eo28M.html" rel="bookmark" class="title">mac os x操作系统的视频基础教程</a>
					<div>
						  发现在很多新手刚刚安装好mac os x系统后,很兴奋,但是又对一个新的操作系统无从下手,什么地方设置ADSL,如何上网,等等一些简单的工作都不知道该怎么做,所有今天放是这个视频让新手们参考! 下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr3vvp.html" rel="bookmark" class="title">后台-如何使手机和PC访问同一个网站</a>
					<div>
						问题描述 如何使手机和PC访问同一个网站 前后台各需要做什么? 我个人理解这是前台的问题,希望大神解答 解决方案 现在手机的趋势是大屏化,因此只要做好自适应布局,完全可以同一个网站适应pc和手机. 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6Z9JM.html" rel="bookmark" class="title">c&plus;&plus;-C&plus;&plus;多次操作数据库，打开数据库的操作只想执行一次应该放在什么位置</a>
					<div>
						问题描述 C++多次操作数据库,打开数据库的操作只想执行一次应该放在什么位置 小型学生管理系统,有一个类Database专门用于操作数据库,构造函数里有打开数据库的操作,增删改查操作四个类里都建了Da ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6APZM.html" rel="bookmark" class="title">&lbrack;转&rsqb;高性能IO模型浅析</a>
					<div>
						高性能IO模型浅析 转自:http://www.cnblogs.com/fanzhidongyzby/p/4098546.html 服务器端编程经常需要构造高性能的IO模型,常见的IO模型有四种: ( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwEKdp.html" rel="bookmark" class="title">使用Mahout实现协同过滤</a>
					<div>
						Mahout算法框架自带的推荐器有下面这些: GenericUserBasedRecommender:基于用户的推荐器,用户数量少时速度快: GenericItemBasedRecommender:基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkxaqb.html" rel="bookmark" class="title">c&plus;&plus;-如何自定义拷贝构造函数</a>
					<div>
						问题描述 如何自定义拷贝构造函数 如何自定义C++中的拷贝构造函数,什么时候需要自定义拷贝构造函数,为什么? 解决方案 一般而言,当你需要自定义析构函数的时候,你就需要自定义拷贝构造函数以及赋值运算符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQNvnp.html" rel="bookmark" class="title">中国省市区--地区SQL表</a>
					<div>
						SET FOREIGN_KEY_CHECKS=0; -- ---------------------------- -- Table structure for rc_district -- ---- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7KEZM.html" rel="bookmark" class="title">c&plus;&plus;-求shape context算法的C&plus;&plus;代码</a>
					<div>
						问题描述 求shape context算法的C++代码 小弟最近开始做图像匹配,要求用shape context算法实现,奈何根本看不懂matlab 的代码,完全不能跑,现求C++代码一份,环境为vs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRLvBb.html" rel="bookmark" class="title">团购消费者过期未消费是否应该退款</a>
					<div>
						在网上买了团购券,可是过了消费日期消费券却还没用出去,估计很多喜欢网购的消费者都遇到过这样的问题.从消费者的角度来说,能够退款当然是最好不过,但是业内人士也表示,如果团购过期退不加限制,反倒容易引来诸 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAm52M.html" rel="bookmark" class="title">多个 可移动磁盘-android设备通过usb连接到pc显示多个&OpenCurlyDoubleQuote;可移动磁盘&rdquo;问题</a>
					<div>
						问题描述 android设备通过usb连接到pc显示多个&quot;可移动磁盘&quot;问题 请教各位大侠,我现在做的产品连接电脑显示3个可移动磁盘(系统的sdcard.外置的SD卡.sata硬盘) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRNLYp.html" rel="bookmark" class="title">入侵电网的现实与真相</a>
					<div>
						美国国土安全部(DHS)在2007年进行了一次耸人听闻的实验,其代号为极光(Aurora).实验中,计算机模拟了针对电网基础设施的远程攻击.视频显示,一个和小型公共汽车差不多大的发电机摇晃并炸裂开来, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkJkDM.html" rel="bookmark" class="title">eclipse导入github项目</a>
					<div>
						  最近在学习钉钉微应用,使用到git上的一些项目,过程中需要导入到本地eclipse中学习使用,那么把导入过程记录下:   大概分为几步:   1.首先需要注册github账号   2.eclips ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJrE8p.html" rel="bookmark" class="title">Winform 控件截图</a>
					<div>
						问题描述 控件截图如何不包含子控件?Control.DrawToBitmap会把子控件的也包含了.怎么只获取父控件部分? 解决方案 解决方案二:new一个相同大小和相同属性的对应控件,用这个控件截图解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eVx9b.html" rel="bookmark" class="title">安装部署</a>
					<div>
						问题描述 我写了个小软件用vs2010写的window窗体的怎么把他变成一个可以到别人的普通的电脑上安装的安装文件啊要全过程是vs2010的 解决方案 解决方案二:参考解决方案三:图文解说:http: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJEEnp.html" rel="bookmark" class="title">外资&OpenCurlyDoubleQuote;埋伏&rdquo;中国互联网业</a>
					<div>
						随着外资掌控的互联网企业产业链不断延伸和向传统市场拓展,中国网络经济的主体市场资源和客户群,中国的网络化虚拟经济市场体系,将大部或全部被外资掌控,中国的经济安全也面临考验. 互联网大国渐失&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL8VOM.html" rel="bookmark" class="title">【Wired观点】每个人都该停止关注伊隆&CenterDot;马斯克的推特</a>
					<div>
						特斯拉及 SpaceX 创始人伊隆·马斯克近日在推特上声称&quot;上升到国家层面的 AI 竞争极有可能引发第三次世界大战&quot;,该条推特已经收到470万条留言以及催生出无数条耸人听闻的标题. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnrElM.html" rel="bookmark" class="title">每一个下坡都是为了另一个上坡</a>
					<div>
						文 ︱ 王涌 十一期间,我选择先到西藏与云南接壤的秋那桶,然后穿越怒江大峡谷,从察瓦龙翻山到德钦.吃.喝.穿.睡全没准备. 进入峡谷后的4天里,我在雨中的原始森林里风餐露宿.向导总是一溜烟儿就没人了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWr9Ez.html" rel="bookmark" class="title">马云经常在公开场合呼吁，保护地球要从一点一滴开始</a>
					<div>
						马云在扎堆中描述道,&quot;今天早上,我坐老婆的车行驶在杭州西湖北山路上,正感慨西湖之美...突然前面一辆车从车窗里扔出一个牛奶盒子,四溅的牛奶和盒子撒了一地.老婆和我大怒,开车超越,并在前方停下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44k19z.html" rel="bookmark" class="title">Android编程四大组件分别是什么&lowbar;Android</a>
					<div>
						Android开发四大组件分别是:活动(Activity):用于表现功能.服务(Service):后台运行服务,不提供界面呈现.广播接收器(BroadcastReceiver):用于接收广播.内容提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q2BAp.html" rel="bookmark" class="title">Windows下通过DOS命令登录MYSQL的方法&lowbar;Mysql</a>
					<div>
						例:MYSQL安装在 D:\ApacheServer\mysql 下 开始==&gt;运行==&gt;cmd,或者 按住win键+r键输入cmd 复制代码 代码如下: C:\Users\Adminis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVNNDz.html" rel="bookmark" class="title">鼠标滚轮控制网页横向移动实现思路&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: &lt;script type=&quot;text/javascript&quot; src=&quot;js/jquery.min.js&quot;&gt;&lt;/scri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOngPqp.html" rel="bookmark" class="title">js中如何复制一个对象并获取其所有属性和属性对应的值&lowbar;javascript技巧</a>
					<div>
						在js中如何复制一个对象,例如如下一个js对象. 如果知道这个对象的所有属性自然就可以重新new一个,然后对每个属性赋值,就可以做到,但如果不知道呢?如何创建一个内容相同 的对象呢? 复制代码 代码如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWOYGp.html" rel="bookmark" class="title">Ubuntu Fcitx小企鹅输入法详解</a>
					<div>
						Fcitx──小企鹅输入法:Free Chinese Input Toy for X是一个以GPL方式发布的.基于XIM的http://www.aliyun.com/zixun/aggregation ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1gxoM.html" rel="bookmark" class="title">linux-关于Linux SUSE 系统的shell问题</a>
					<div>
						问题描述 关于Linux SUSE 系统的shell问题 linux suse 系统中,默认的shell是bc的,怎么把默认的shell,更改回到以前的shell 解决方案 硬盘安装SUSE Linu ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
